> For the complete documentation index, see [llms.txt](https://docs.finpay.id/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.finpay.id/binding-bri-22376301e0-1.md).

# binding bri 22376301e0

## OpenAPI Specification

```yaml
openapi: 3.0.1
info:
  title: ''
  description: ''
  version: 1.0.0
paths:
  /pg/payment/card/directdebit/bind:
    post:
      summary: Binding - BRI
      deprecated: false
      description: ''
      tags:
        - Digital Touch Point/Finpay Payment Gateway/Core API/Direct Debit/BRI
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                customer:
                  type: object
                  properties:
                    id:
                      type: string
                    email:
                      type: string
                    firstName:
                      type: string
                    lastName:
                      type: string
                    mobilePhone:
                      type: string
                  required:
                    - id
                    - email
                    - firstName
                    - lastName
                    - mobilePhone
                  x-apidog-orders:
                    - id
                    - email
                    - firstName
                    - lastName
                    - mobilePhone
                sourceOfFunds:
                  type: object
                  properties:
                    type:
                      type: string
                  required:
                    - type
                  x-apidog-orders:
                    - type
              required:
                - customer
                - sourceOfFunds
              x-apidog-orders:
                - customer
                - sourceOfFunds
            example:
              customer:
                id: finnet@finpay.id
                email: finnet@finpay.id
                firstName: Finnet
                lastName: Finpay
                mobilePhone: '+628133560012'
              sourceOfFunds:
                type: ddbri
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties: {}
                x-apidog-orders: []
          headers: {}
          x-apidog-name: Success
      security: []
      x-apidog-folder: Digital Touch Point/Finpay Payment Gateway/Core API/Direct Debit/BRI
      x-apidog-status: released
      x-run-in-apidog: https://app.apidog.com/web/project/1089206/apis/api-22376301-run
components:
  schemas: {}
  securitySchemes: {}
servers:
  - url: https://devo.finnet.co.id
    description: Develop Env
security: []
```

## Endpoint

POST /pg/payment/card/directdebit/bind

Tags: Digital Touch Point/Finpay Payment Gateway/Core API/Direct Debit/BRI

x-run-in-apidog: <https://app.apidog.com/web/project/1089206/apis/api-22376301-run>

x-apidog-folder: Digital Touch Point/Finpay Payment Gateway/Core API/Direct Debit/BRI

x-apidog-status: released

***

## Request

Content-Type: application/json

Schema (request body)

* type: object
* required:
  * customer
  * sourceOfFunds

Properties:

* customer (object) — required
  * id: string
  * email: string
  * firstName: string
  * lastName: string
  * mobilePhone: string
* sourceOfFunds (object) — required
  * type: string

Example:

```json
{
  "customer": {
    "id": "finnet@finpay.id",
    "email": "finnet@finpay.id",
    "firstName": "Finnet",
    "lastName": "Finpay",
    "mobilePhone": "+628133560012"
  },
  "sourceOfFunds": {
    "type": "ddbri"
  }
}
```

## Responses

200 (Success)

* Content-Type: application/json
* Schema: type: object (no properties defined)

## Servers

* <https://devo.finnet.co.id> (Develop Env)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.finpay.id/binding-bri-22376301e0-1.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
